; this is the PWconfig keyword
; v. 1.01
; Copyright (c) W. Lenerz 1996

***********************************************************************
*
* Syntax: PWconfig	name$,config_string$
*
*	where name$= name of thing (eg prowess, proforma)
*	config_string$=the string to pass on
*
***********************************************************************

	section	text

	xdef	pwconfig
	xdef	pwcfg

	include	asm_includes_asm
	xref	use_thg		; use thing (in lib_things_asm)
	xref	free_thg		; free thing "         "
	xref	gu_rchp		; free mem (in gu_rchp)
	xref	gmem
	xref	e_o
	xref	err_out
	xref	get_all
	xref	rt_int

pwcfg	MOVEQ	#-19,D4		; preset not implemented
	PEA	rt_int		; return result here!

pwconfig	BSR	gmem		; get some mem for me
	BSR	get_all		; get the parameter
	BNE	e_o
	MOVE.L	(A4)+,A0
	SUBQ.L	#2,A0		; point to thing name now
	MOVE.L	A4,A7
	MOVE.L	#'CNFG',D2	; extension to use
	BSR	use_thg		; use thing now
	BNE	err_out
	MOVE.L	A0,A4		; keep pointer to name
	JSR	$18(A1)		; do extension thing
	MOVE.L	D0,D4		; keep error
	MOVE.L	A4,A0
	BSR	free_thg
	reset_stk
	MOVE.L	D4,D0		; get error back
	BRA	gu_rchp

	end
