; macros and definitions used for Prowess Sbasic interface
; copyright (c) W. Lenerz 1996
; 04.08.1996 Joachim Van der Auwera : added macro to ensure LinkedDLL is TRUE
	nolist
; some defines first

water1	EQU	'W.L.'		; watermark 1
water2	EQU	'JVDA'		; watermark 2 - hi, Joachim
memspace	EQU	$4000
evtregs	REG	D2-D7/A0-A6	; keep all my regs, please (D1 saved
				; first by macro in event handler)
regsoff	EQU	14*4		; there are 14 regs on the stack

bv_rip	equ	$58
bv.chrix	equ	$11a
bv_chbas	equ	$30
bv_chp	equ	$34
ch.lench	equ	$28


PW_DEFAULT_FONT		EQU     $11000103
PW_FILESELECT_DIRECTORY	EQU     $11001125
PW_FILESELECT_FILENAME	EQU     $11001124
PW_SYSTEM_BREAKDOWN 	EQU     $10000009

;
; now macros

reset_stk macro
	MOVE.L	D7,A4		; point to top of my stack
	MOVE.L	(A4)+,A7	; this is my true stack
	MOVE.L	(A4)+,A3	; get pointer to params back
	MOVE.L	(A4)+,A6	; get my A6 back
	MOVE.L	(A4)+,A0	; point to bottom of area
	endm

; and one to call at the start of some routines
linked macro
[.lab]
	xref	LinkedDLL,_LinkDLL
	move.l	a0,-(sp)
	lea	LinkedDLL(pc),a0
	tas      (a0)
	move.l	(sp)+,a0
	bne.s	nlk[.l]
	bsr	_LinkDLL
nlk[.l]
	endm



	list
